This page was not yet optimized for use on mobile devices.
SafeZone FIPS Cryptographic Module
Certificate details
| Certificate ID | #3661 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition - replaced by certificate #4588 |
| Validation dates | 29.05.2020 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy |
| Exceptions |
|
| Description | Inside Secure FIPS Cryptographic Module is a FIPS 140-2 Security Level 1 validated software cryptographic module from INSIDE Secure. The module is a toolkit which provides the most commonly needed cryptographic primitives for a large variety of applications, including but not limited to, primitives needed for DAR, DRM, TLS, and VPN on mobile devices. |
| Tested configurations |
|
| Vendor | Rambus Global Inc., Finnish branch http://www.rambus.com |
| Lab | Leidos Accredited Testing & Evaluation (AT&E) Lab |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-, AES-128, AES-192, AES-256, Triple-DES, Poly1305, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CMACAsymmetric Algorithms
RSA-2048, RSA-3072, RSA-OAEP, ECDSA, ECC, Diffie-Hellman, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA512, SHA-2, SHA-3, SHA3-224, SHA3-256, SHA3-384, SHA3-512, MD5, PBKDF, PBKDF2Schemes
MAC, KEM, Key Exchange, Key AgreementProtocols
TLS v1.3, TLS, TLS 1.2, TLS 1.0, TLS 1.1, TLS 1.3, TLS v1.2, IKE, IKEv1, IKEv2, IPsec, VPNRandomness
DRBGElliptic Curves
P-224, P-256, P-384, P-192, P-521, NIST P-224, NIST P-192, NIST P-256, NIST P-384, NIST P-521Block cipher modes
ECB, CBC, CTR, GCM, CCM, XTSJavaCard API constants
X25519Vendor
SamsungSecurity level
Level 1Side-channel analysis
timing attacksStandards
FIPS 140-2, FIPS 140, FIPS140-2, FIPS 1402, FIPS 186-4, FIPS 197, FIPS 198-1, FIPS 180-4, FIPS 202, FIPS 186-2, NIST SP 800-56C, NIST SP 800-67, NIST SP 800-90A, NIST SP 800-107, NIST SP 800-131A, NIST SP 800-56B, NIST SP 800-38A, NIST SP 800-38C, NIST SP 800-38D, NIST SP 800-38E, NIST SP 800-38B, NIST SP 800-133, NIST SP 800-132, NIST SP 800-108, NIST SP 800-56A, SP 800-38F, NIST SP 800-135, NIST SP 800-38F, NIST SP 800-52, PKCS #1, RFC 5869, RFC 8446, RFC 7714Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3661,
"dgst": "76a23395000b22f2",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"ECDSA#C510",
"RSA#C510",
"SHS#C510",
"KBKDF#C510",
"#C510",
"Triple-DES#C510",
"CVL#C510",
"DSA#C510",
"AES#C510",
"HMAC#C510",
"DRBG#C510",
"SHA-3#C510"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 4
},
"ECDSA": {
"ECDSA": 17
}
},
"FF": {
"DH": {
"Diffie-Hellman": 27
},
"DSA": {
"DSA": 14
}
},
"RSA": {
"RSA-2048": 1,
"RSA-3072": 1,
"RSA-OAEP": 6
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 7
},
"CCM": {
"CCM": 9
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 3
},
"GCM": {
"GCM": 7
},
"XTS": {
"XTS": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 2,
"IKEv1": 4,
"IKEv2": 5
},
"IPsec": {
"IPsec": 1
},
"TLS": {
"TLS": {
"TLS": 6,
"TLS 1.0": 1,
"TLS 1.1": 1,
"TLS 1.2": 1,
"TLS 1.3": 2,
"TLS v1.2": 2,
"TLS v1.3": 13
}
},
"VPN": {
"VPN": 2
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 18
},
"KEM": {
"KEM": 9
},
"KEX": {
"Key Exchange": 1
},
"MAC": {
"MAC": 6
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"NIST P-192": 4,
"NIST P-224": 9,
"NIST P-256": 2,
"NIST P-384": 2,
"NIST P-521": 2,
"P-192": 6,
"P-224": 21,
"P-256": 22,
"P-384": 22,
"P-521": 16
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 15,
"#4": 1
}
},
"fips_certlike": {
"Certlike": {
"AES 128, 192": 3,
"AES-128": 3,
"AES-192": 1,
"AES-256": 3,
"AES-GCM IV #4": 1,
"HMAC SHA-256": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA-1 160 112": 2,
"HMAC-SHA-1-80": 2,
"HMAC-SHA-1-96": 2,
"HMAC-SHA-2": 2,
"HMAC-SHA-224 224": 2,
"HMAC-SHA-256 256": 2,
"HMAC-SHA-384 384": 2,
"HMAC-SHA-512 512": 2,
"PKCS #1": 30,
"SHA- 224": 2,
"SHA- 256": 1,
"SHA- 384": 2,
"SHA- 512": 2,
"SHA-1": 10,
"SHA-2": 1,
"SHA-224": 8,
"SHA-256": 11,
"SHA-3": 1,
"SHA-384": 8,
"SHA-512": 9,
"SHA3-224": 2,
"SHA3-256": 1,
"SHA3-384": 1,
"SHA3-512": 1,
"SHA512": 1,
"SHS 112-512": 2
}
},
"fips_security_level": {
"Level": {
"Level 1": 4
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 1
}
},
"PBKDF": {
"PBKDF": 4,
"PBKDF2": 1
},
"SHA": {
"SHA1": {
"SHA-1": 10
},
"SHA2": {
"SHA-2": 1,
"SHA-224": 8,
"SHA-256": 11,
"SHA-384": 8,
"SHA-512": 9,
"SHA512": 1
},
"SHA3": {
"SHA-3": 1,
"SHA3-224": 2,
"SHA3-256": 1,
"SHA3-384": 1,
"SHA3-512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {
"curves": {
"X25519": 4
}
},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 34
}
},
"side_channel_analysis": {
"SCA": {
"timing attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140": 2,
"FIPS 140-2": 24,
"FIPS 1402": 2,
"FIPS 180-4": 1,
"FIPS 186-2": 4,
"FIPS 186-4": 12,
"FIPS 197": 1,
"FIPS 198-1": 2,
"FIPS 202": 1,
"FIPS140-2": 1
},
"NIST": {
"NIST SP 800-107": 4,
"NIST SP 800-108": 11,
"NIST SP 800-131A": 4,
"NIST SP 800-132": 6,
"NIST SP 800-133": 1,
"NIST SP 800-135": 3,
"NIST SP 800-38A": 1,
"NIST SP 800-38B": 1,
"NIST SP 800-38C": 1,
"NIST SP 800-38D": 1,
"NIST SP 800-38E": 1,
"NIST SP 800-38F": 1,
"NIST SP 800-52": 1,
"NIST SP 800-56A": 5,
"NIST SP 800-56B": 8,
"NIST SP 800-56C": 13,
"NIST SP 800-67": 4,
"NIST SP 800-90A": 6,
"SP 800-38F": 1
},
"PKCS": {
"PKCS #1": 15
},
"RFC": {
"RFC 5869": 3,
"RFC 7714": 1,
"RFC 8446": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 53,
"AES-": 2,
"AES-128": 3,
"AES-192": 1,
"AES-256": 3
}
},
"DES": {
"3DES": {
"Triple-DES": 16
}
},
"constructions": {
"MAC": {
"CMAC": 17,
"HMAC": 25,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
},
"djb": {
"Poly": {
"Poly1305": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Samsung": {
"Samsung": 1
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"ECDSA#C510",
"RSA#C510",
"SHS#C510",
"KBKDF#C510",
"Triple-DES#C510",
"CVL#C510",
"DSA#C510",
"AES#C510",
"HMAC#C510",
"DRBG#C510",
"SHA-3#C510"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#C510"
]
},
"policy_metadata": {
"/CreationDate": "D:20200321150313Z00\u002700\u0027",
"/Creator": "Word",
"/ModDate": "D:20200321150313Z00\u002700\u0027",
"/Producer": "macOS Version 10.15.3 (Build 19D76) Quartz PDFContext",
"/Title": "Microsoft Word - FIPS-SW_Cryptographic-Module-Security-Policy_RevA12.1.2-REDLINE.docx",
"pdf_file_size_bytes": 1024792,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 48
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "3d38a1936e6d1a276d23fc137089c159bb3eb09b61669c6c4de9d6abae3bcdb8",
"source_hash": "7ff5a1f144fdac2ee21164ae7662e8efe3799002797d351205165063b44b38f2",
"txt_hash": "e06bc47b7fc8527851de4dab313a5252a4eaf73a257466643127deb390d372e6"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/May 2020_010620_1115.pdf",
"date_sunset": null,
"description": "Inside Secure FIPS Cryptographic Module is a FIPS 140-2 Security Level 1 validated software cryptographic module from INSIDE Secure. The module is a toolkit which provides the most commonly needed cryptographic primitives for a large variety of applications, including but not limited to, primitives needed for DAR, DRM, TLS, and VPN on mobile devices.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "SP 800-56Arev3 transition - replaced by certificate #4588",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "SafeZone FIPS Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "1.2.0",
"tested_conf": [
"Debian 9 Linux running on a Raspberry Pi 2 with an ARM Cortex-A7",
"Debian 9 Linux running on a ROCK64 with an ARM Cortex-A53 with PAA",
"Debian 9 Linux running on a ROCK64 with an ARM Cortex-A53 without PAA",
"Xubuntu 18.04.1 LTS running on a Lenovo MIIX 320 with an Intel Atom x5 (32-bit) with PAA",
"Xubuntu 18.04.1 LTS running on a Lenovo MIIX 320 with an Intel Atom x5 (32-bit) without PAA",
"Xubuntu 18.04.1 LTS running on a Lenovo MIIX 320 with an Intel Atom x5 (64-bit) with PAA",
"Xubuntu 18.04.1 LTS running on a Lenovo MIIX 320 with an Intel Atom x5 (64-bit) without PAA (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2020-05-29",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Initial"
}
],
"vendor": "Rambus Global Inc., Finnish branch",
"vendor_url": "http://www.rambus.com"
}
}